import { join } from "path";
import { get } from "https";
import {
  existsSync,
  mkdirSync,
  readdirSync,
  readFileSync,
  createWriteStream,
} from "fs";

const publicRulesDir = join("public", "rules");

// Prepare rules directory
if (existsSync(publicRulesDir)) {
  readdirSync(publicRulesDir).forEach((file) => {});
} else {
  mkdirSync(publicRulesDir);
}

const subs = JSON.parse(
  readFileSync(join("public", "subscriptions.json")).toString()
);

subs.subscriptions.forEach((sub) => {
  const file = createWriteStream(join(publicRulesDir, sub.id));
  get(sub.url, function (response) {
    response.pipe(file);
  });
  console.log("download", sub.id, sub.url);
});
